!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center Land Information System (LIS) v7.2
!
! Copyright (c) 2015 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
!BOP
!
! !ROUTINE: readcrd_climatology
! \label{readcrd_climatology}
!
! !REVISION HISTORY:
! 26 Sept 2016; KR Arsenault, Initial Code developed
!
! !INTERFACE:    
subroutine readcrd_climatology()
! !USES:
  use ESMF
  use LIS_coreMod, only : LIS_rc, LIS_config
  use LIS_logMod,  only : LIS_logunit, LIS_verify, LIS_endrun
  use climatology_forcingMod, only : clim_struc
!
! !DESCRIPTION:
!
!  This routine reads the options specific to the 
!  meteorological forcing data generated by LDT and written
!  to Netcdf format.
!  
!EOP
  implicit none

  integer :: n, rc

  call ESMF_ConfigFindLabel(LIS_config,"Metforcing climatology directory:",rc=rc)
  call ESMF_ConfigGetAttribute(LIS_config,clim_struc%directory,rc=rc)

  write(LIS_logunit,*) "[INFO] "
  write(LIS_logunit,*) "[INFO] Using meteorological forcing climatology data"
  write(LIS_logunit,*) "[INFO] Metforcing climatology directory: ",&
                       trim(clim_struc%directory)


end subroutine readcrd_climatology

